summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Leitch <port001@gentoo.org>2005-02-12 02:50:24 +0000
committerIan Leitch <port001@gentoo.org>2005-02-12 02:50:24 +0000
commit81b17edb5f2cad0bb2c1b1562baae3df00d81c30 (patch)
tree45c5a8d570036c2f0876146ddb92e45f7113cd5b /eclass
parentStable on sparc. (diff)
downloadgentoo-2-81b17edb5f2cad0bb2c1b1562baae3df00d81c30.tar.gz
gentoo-2-81b17edb5f2cad0bb2c1b1562baae3df00d81c30.tar.bz2
gentoo-2-81b17edb5f2cad0bb2c1b1562baae3df00d81c30.zip
Ebuilds now set MAKE_FLAGS instead of the eclass handling individual package flags
Diffstat (limited to 'eclass')
-rw-r--r--eclass/aolserver.eclass22
1 files changed, 5 insertions, 17 deletions
diff --git a/eclass/aolserver.eclass b/eclass/aolserver.eclass
index 0bbc409b6d4a..8dcbe88883e3 100644
--- a/eclass/aolserver.eclass
+++ b/eclass/aolserver.eclass
@@ -1,13 +1,12 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/aolserver.eclass,v 1.3 2005/01/05 14:39:38 port001 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/aolserver.eclass,v 1.4 2005/02/12 02:50:24 port001 Exp $
# Authors:
# Ian Leitch <port001@gentoo.org>
ECLASS=aolserver
INHERITED="$INHERITED $ECLASS"
-EXPORT_FUNCTIONS pkg_setup src_compile src_install pkg_postinst
DEPEND="$DEPEND www-servers/aolserver"
RDEPEND="$RDEPEND www-servers/aolserver"
@@ -15,28 +14,17 @@ RDEPEND="$RDEPEND www-servers/aolserver"
NS_CONF="/usr/share/aolserver" # /include/ is implied by the Makefile
NS_BASE="/usr/lib/aolserver"
-# For nsxml
-LIBXML2="/usr"
-LIBXSLT=""
-
SRC_URI="mirror://sourceforge/aolserver/${P}.tar.gz"
HOMEPAGE="http://www.aolserver.com"
LICENSE="MPL-1.1"
SLOT="0"
-aolserver_pkg_setup() {
-
- if use xslt; then
- LIBXSLT="/usr/"
- fi
-}
-
-aolserver_src_compile() {
+src_compile() {
- emake NSBUILD=1 INST=${NS_CONF} LIBXML2=${LIBXML2} LIBXSLT=${LIBXSLT} || die "emake failed"
+ emake NSBUILD=1 INST=${NS_CONF} ${MAKE_FLAGS} || die "emake failed"
}
-aolserver_src_install() {
+src_install() {
find ${S} -type d -name CVS -prune | xargs rm -rf
@@ -44,7 +32,7 @@ aolserver_src_install() {
dobin ${S}/${PN}.so
}
-aolserver_pkg_postinst() {
+pkg_postinst() {
echo
einfo "To enable the use of ${PN} you must add the module to your AOLServer configuration"